> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/internals/catalogs/catalogs-overview.md).

# 52.1. Overview \#

[Table 52.1](#CATALOG-TABLE) lists the system catalogs. More detailed documentation of each catalog follows below.

Most system catalogs are copied from the template database during database creation and are thereafter database-specific. A few catalogs are physically shared across all databases in a cluster; these are noted in the descriptions of the individual catalogs.

**Table 52.1. System Catalogs**

| Catalog Name                                                                          | Purpose                                                                                 |
| ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------- |
| [`pg_aggregate`](/internals/catalogs/catalog-pg-aggregate.md)                         | aggregate functions                                                                     |
| [`pg_am`](/internals/catalogs/catalog-pg-am.md)                                       | relation access methods                                                                 |
| [`pg_amop`](/internals/catalogs/catalog-pg-amop.md)                                   | access method operators                                                                 |
| [`pg_amproc`](/internals/catalogs/catalog-pg-amproc.md)                               | access method support functions                                                         |
| [`pg_attrdef`](/internals/catalogs/catalog-pg-attrdef.md)                             | column default values                                                                   |
| [`pg_attribute`](/internals/catalogs/catalog-pg-attribute.md)                         | table columns (“attributes”)                                                            |
| [`pg_authid`](/internals/catalogs/catalog-pg-authid.md)                               | authorization identifiers (roles)                                                       |
| [`pg_auth_members`](/internals/catalogs/catalog-pg-auth-members.md)                   | authorization identifier membership relationships                                       |
| [`pg_cast`](/internals/catalogs/catalog-pg-cast.md)                                   | casts (data type conversions)                                                           |
| [`pg_class`](/internals/catalogs/catalog-pg-class.md)                                 | tables, indexes, sequences, views (“relations”)                                         |
| [`pg_collation`](/internals/catalogs/catalog-pg-collation.md)                         | collations (locale information)                                                         |
| [`pg_constraint`](/internals/catalogs/catalog-pg-constraint.md)                       | check constraints, unique constraints, primary key constraints, foreign key constraints |
| [`pg_conversion`](/internals/catalogs/catalog-pg-conversion.md)                       | encoding conversion information                                                         |
| [`pg_database`](/internals/catalogs/catalog-pg-database.md)                           | databases within this database cluster                                                  |
| [`pg_db_role_setting`](/internals/catalogs/catalog-pg-db-role-setting.md)             | per-role and per-database settings                                                      |
| [`pg_default_acl`](/internals/catalogs/catalog-pg-default-acl.md)                     | default privileges for object types                                                     |
| [`pg_depend`](/internals/catalogs/catalog-pg-depend.md)                               | dependencies between database objects                                                   |
| [`pg_description`](/internals/catalogs/catalog-pg-description.md)                     | descriptions or comments on database objects                                            |
| [`pg_enum`](/internals/catalogs/catalog-pg-enum.md)                                   | enum label and value definitions                                                        |
| [`pg_event_trigger`](/internals/catalogs/catalog-pg-event-trigger.md)                 | event triggers                                                                          |
| [`pg_extension`](/internals/catalogs/catalog-pg-extension.md)                         | installed extensions                                                                    |
| [`pg_foreign_data_wrapper`](/internals/catalogs/catalog-pg-foreign-data-wrapper.md)   | foreign-data wrapper definitions                                                        |
| [`pg_foreign_server`](/internals/catalogs/catalog-pg-foreign-server.md)               | foreign server definitions                                                              |
| [`pg_foreign_table`](/internals/catalogs/catalog-pg-foreign-table.md)                 | additional foreign table information                                                    |
| [`pg_index`](/internals/catalogs/catalog-pg-index.md)                                 | additional index information                                                            |
| [`pg_inherits`](/internals/catalogs/catalog-pg-inherits.md)                           | table inheritance hierarchy                                                             |
| [`pg_init_privs`](/internals/catalogs/catalog-pg-init-privs.md)                       | object initial privileges                                                               |
| [`pg_language`](/internals/catalogs/catalog-pg-language.md)                           | languages for writing functions                                                         |
| [`pg_largeobject`](/internals/catalogs/catalog-pg-largeobject.md)                     | data pages for large objects                                                            |
| [`pg_largeobject_metadata`](/internals/catalogs/catalog-pg-largeobject-metadata.md)   | metadata for large objects                                                              |
| [`pg_namespace`](/internals/catalogs/catalog-pg-namespace.md)                         | schemas                                                                                 |
| [`pg_opclass`](/internals/catalogs/catalog-pg-opclass.md)                             | access method operator classes                                                          |
| [`pg_operator`](/internals/catalogs/catalog-pg-operator.md)                           | operators                                                                               |
| [`pg_opfamily`](/internals/catalogs/catalog-pg-opfamily.md)                           | access method operator families                                                         |
| [`pg_parameter_acl`](/internals/catalogs/catalog-pg-parameter-acl.md)                 | configuration parameters for which privileges have been granted                         |
| [`pg_partitioned_table`](/internals/catalogs/catalog-pg-partitioned-table.md)         | information about partition key of tables                                               |
| [`pg_policy`](/internals/catalogs/catalog-pg-policy.md)                               | row-security policies                                                                   |
| [`pg_proc`](/internals/catalogs/catalog-pg-proc.md)                                   | functions and procedures                                                                |
| [`pg_publication`](/internals/catalogs/catalog-pg-publication.md)                     | publications for logical replication                                                    |
| [`pg_publication_namespace`](/internals/catalogs/catalog-pg-publication-namespace.md) | schema to publication mapping                                                           |
| [`pg_publication_rel`](/internals/catalogs/catalog-pg-publication-rel.md)             | relation to publication mapping                                                         |
| [`pg_range`](/internals/catalogs/catalog-pg-range.md)                                 | information about range types                                                           |
| [`pg_replication_origin`](/internals/catalogs/catalog-pg-replication-origin.md)       | registered replication origins                                                          |
| [`pg_rewrite`](/internals/catalogs/catalog-pg-rewrite.md)                             | query rewrite rules                                                                     |
| [`pg_seclabel`](/internals/catalogs/catalog-pg-seclabel.md)                           | security labels on database objects                                                     |
| [`pg_sequence`](/internals/catalogs/catalog-pg-sequence.md)                           | information about sequences                                                             |
| [`pg_shdepend`](/internals/catalogs/catalog-pg-shdepend.md)                           | dependencies on shared objects                                                          |
| [`pg_shdescription`](/internals/catalogs/catalog-pg-shdescription.md)                 | comments on shared objects                                                              |
| [`pg_shseclabel`](/internals/catalogs/catalog-pg-shseclabel.md)                       | security labels on shared database objects                                              |
| [`pg_statistic`](/internals/catalogs/catalog-pg-statistic.md)                         | planner statistics                                                                      |
| [`pg_statistic_ext`](/internals/catalogs/catalog-pg-statistic-ext.md)                 | extended planner statistics (definition)                                                |
| [`pg_statistic_ext_data`](/internals/catalogs/catalog-pg-statistic-ext-data.md)       | extended planner statistics (built statistics)                                          |
| [`pg_subscription`](/internals/catalogs/catalog-pg-subscription.md)                   | logical replication subscriptions                                                       |
| [`pg_subscription_rel`](/internals/catalogs/catalog-pg-subscription-rel.md)           | relation state for subscriptions                                                        |
| [`pg_tablespace`](/internals/catalogs/catalog-pg-tablespace.md)                       | tablespaces within this database cluster                                                |
| [`pg_transform`](/internals/catalogs/catalog-pg-transform.md)                         | transforms (data type to procedural language conversions)                               |
| [`pg_trigger`](/internals/catalogs/catalog-pg-trigger.md)                             | triggers                                                                                |
| [`pg_ts_config`](/internals/catalogs/catalog-pg-ts-config.md)                         | text search configurations                                                              |
| [`pg_ts_config_map`](/internals/catalogs/catalog-pg-ts-config-map.md)                 | text search configurations' token mappings                                              |
| [`pg_ts_dict`](/internals/catalogs/catalog-pg-ts-dict.md)                             | text search dictionaries                                                                |
| [`pg_ts_parser`](/internals/catalogs/catalog-pg-ts-parser.md)                         | text search parsers                                                                     |
| [`pg_ts_template`](/internals/catalogs/catalog-pg-ts-template.md)                     | text search templates                                                                   |
| [`pg_type`](/internals/catalogs/catalog-pg-type.md)                                   | data types                                                                              |
| [`pg_user_mapping`](/internals/catalogs/catalog-pg-user-mapping.md)                   | mappings of users to foreign servers                                                    |

<br>

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/catalogs-overview.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/internals/catalogs/catalogs-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
